Toybrick

rknn_init, recv(MsgLoadAck) fail, -9 != 368! rknn_init fail! ret=-3

谁染枫林醉

注册会员

积分
74
发表于 2019-5-17 20:00:24    查看: 2344|回复: 4 | [复制链接]    打印 | 显示全部楼层
请问大佬们,这是啥错误呀。。
[root@localhost build]# ./ssd_demo
loading model...
[  392.718022] usb 2-1.1: USB disconnect, device number 6
E RKNNAPI: rknn_init,  recv(MsgLoadAck) fail, -9 != 368!
rknn_init fail! ret=-3
load_model error!!!
后面显示:
[  393.924297] usb 2-1.1: New USB device found, idVendor=2207, idProduct=1808
[  393.924983] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  393.925649] usb 2-1.1: Product: rk3xxx
[  393.926102] usb 2-1.1: Manufacturer: rockchip
[  393.926511] usb 2-1.1: SerialNumber: 0123456789ABCDEF

lsusb之后是这样:
Bus 002 Device 008: ID 2207:1808  
Bus 002 Device 002: ID 05e3:0616 Genesys Logic, Inc. hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 008: ID 062a:4101 MosArt Semiconductor Corp. Wireless Keyboard/Mouse
Bus 001 Device 010: ID 1058:25a2 Western Digital Technologies, Inc. Elements 25A2
Bus 001 Device 009: ID 17ef:6018 Lenovo
Bus 001 Device 002: ID 05e3:0610 Genesys Logic, Inc. 4-port hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0bda:d723 Realtek Semiconductor Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


回复

使用道具 举报

zhangzj

超级版主

积分
962
发表于 2019-5-20 09:28:54 | 显示全部楼层
应该是模型和rknn环境不匹配。这个demo里面的rknn模型有开pre_compile。
用V1.0的rknn,请确保开启pre_compile的rknn模型也是V1.0转换出来的。
回复

使用道具 举报

谁染枫林醉

注册会员

积分
74
 楼主| 发表于 2019-5-29 10:22:39 | 显示全部楼层
zhangzj 发表于 2019-5-20 09:28
应该是模型和rknn环境不匹配。这个demo里面的rknn模型有开pre_compile。
用V1.0的rknn,请确保开启pre_comp ...

请问大佬这个pre_compile,在哪开关
回复

使用道具 举报

谁染枫林醉

注册会员

积分
74
 楼主| 发表于 2019-5-29 10:54:25 | 显示全部楼层
谁染枫林醉 发表于 2019-5-29 10:22
请问大佬这个pre_compile,在哪开关

都是关着的。。
回复

使用道具 举报

troy

版主

积分
1758
发表于 2019-5-29 11:19:29 | 显示全部楼层

需要全部使用V1.0.0的环境,最好在执行下sudo dnf update以便更新rknn-api库到最新的环境,使用V1.0.0的ToolKit转换模型,然后运行即可。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表